abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
AbcLinuxu hledá autory!
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×
eParkomat, startup z ČR, postoupil mezi finalisty evropského akcelerátoru ChallengeUp!
Robot na pivo mu otevřel dveře k opravdovému byznysu
Internet věcí: Propojený svět? Už se to blíží...
včera 21:21 | Nová verze Ladislav Hagara | Komentářů: 0
včera 11:44 | Zajímavý projekt

Na Indiegogo byla spuštěna kampaň na podporu herní mini konzole a multimediálního centra RetroEngine Sigma od Doyodo. Předobjednat ji lze již od 49 dolarů. Požadovaná částka 20 000 dolarů byla překonána již 6 krát. Majitelé mini konzole si budou moci zahrát hry pro Atari VCS 2600, Sega Genesis nebo NES. Předinstalováno bude multimediální centrum Kodi.

Ladislav Hagara | Komentářů: 0
včera 00:10 | Nová verze

Byla vydána verze 4.7 redakčního systému WordPress. Kódové označením Vaughan bylo vybráno na počest americké jazzové zpěvačky Sarah "Sassy" Vaughan. Z novinek lze zmínit například novou výchozí šablonu Twenty Seventeen, náhledy pdf souborů nebo WordPress REST API.

Ladislav Hagara | Komentářů: 1
6.12. 12:00 | Zajímavý projekt

Projekt Termbox umožňuje vyzkoušet si linuxové distribuce Ubuntu, Debian, Fedora, CentOS a Arch Linux ve webovém prohlížeči. Řešení je postaveno na projektu HyperContainer. Podrobnosti v často kladených dotazech (FAQ). Zdrojové kódy jsou k dispozici na GitHubu [reddit].

Ladislav Hagara | Komentářů: 25
6.12. 11:00 | Bezpečnostní upozornění

Byly zveřejněny informace o bezpečnostní chybě CVE-2016-8655 v Linuxu zneužitelné k lokální eskalaci práv. Chyba se dostala do linuxového jádra v srpnu 2011. V upstreamu byla opravena minulý týden [Hacker News].

Ladislav Hagara | Komentářů: 2
5.12. 22:00 | Komunita

Přibližně před měsícem bylo oznámeno, že linuxová distribuce SUSE Linux Enterprise Server (SLES) běží nově také Raspberry Pi 3 (dokumentace). Obraz verze 12 SP2 pro Raspberry Pi 3 je ke stažení zdarma. Pro registrované jsou po dobu jednoho roku zdarma také aktualizace. Dnes bylo oznámeno, že pro Raspberry Pi 3 je k dispozici také nové openSUSE Leap 42.2 (zprávička). K dispozici je hned několik obrazů.

Ladislav Hagara | Komentářů: 6
5.12. 06:00 | Zajímavý software

OMG! Ubuntu! představuje emulátor terminálu Hyper (GitHub) postavený na webových technologiích (HTML, CSS a JavaScript). V diskusi k článku je zmíněn podobný emulátor terminálu Black Screen. Hyper i Black Screen používají framework Electron, stejně jako editor Atom nebo vývojové prostředí Visual Studio Code.

Ladislav Hagara | Komentářů: 50
5.12. 06:00 | Zajímavý článek

I letos vychází řada ajťáckých adventních kalendářů. QEMU Advent Calendar 2016 přináší každý den nový obraz disku pro QEMU. Programátoři se mohou potrápit při řešení úloh z kalendáře Advent of Code 2016. Kalendáře Perl Advent Calendar 2016 a Perl 6 Advent Calendar přinášejí každý den zajímavé informace o programovacím jazyce Perl. Stranou nezůstává ani programovací jazyk Go.

Ladislav Hagara | Komentářů: 10
3.12. 16:24 | Nová verze

Byla vydána Mageia 5.1. Jedná se o první opravné vydání verze 5, jež vyšla v červnu loňského roku (zprávička). Uživatelům verze 5 nepřináší opravné vydání nic nového, samozřejmě pokud pravidelně aktualizují. Vydání obsahuje všechny aktualizace za posledního téměř půldruhého roku. Mageia 5.1 obsahuje LibreOffice 4.4.7, Linux 4.4.32, KDE4 4.14.5 nebo GNOME 3.14.3.

Ladislav Hagara | Komentářů: 17
3.12. 13:42 | Pozvánky

V Praze probíhá konference Internet a Technologie 16.2, volné pokračování jarní konference sdružení CZ.NIC. Konferenci lze sledovat online na YouTube. K dispozici je také archiv předchozích konferencí.

Ladislav Hagara | Komentářů: 0
Kolik máte dat ve svém domovském adresáři na svém primárním osobním počítači?
 (32%)
 (24%)
 (29%)
 (8%)
 (5%)
 (3%)
Celkem 786 hlasů
 Komentářů: 50, poslední 29.11. 15:50
Rozcestník
Reklama

Dotaz: Debian Wheezy - migrace 32bit na 64bit - krok zpět

26.6.2015 11:29 Bill Gates
Debian Wheezy - migrace 32bit na 64bit - krok zpět
Přečteno: 452×
Ahoj, zkoušel jsem migrovat z 32bit na 64bit ale rozmyslel jsem si to. Nebudu to řešit migrací ale nainstaluju 64bit debian 8. Teď mám ale asi problém.

Použil jsem tento návod

http://www.ewan.cc/?q=node/90

Prošel jsem krokem 5

dpkg --add-architecture amd64 
apt-get update 
apt-get install linux-image-amd64:amd64 debootstrap


ale používám jako běžící jádro linux-image-3.16.0-0.bpo.4-686-pae a ono ho to chce odstranit, na což jsem byl upozorněn varováním, že toto může způsobit, že nenabootoju. To si nemůžu dovolit teď řešit, takže jsem to chtěl odložit na později.

Potřebuju nainstalovat rdesktop ale končím na nevyřešených závislostech.

apt-get install rdesktop
Reading package lists... Done
Building dependency tree       
Reading state information... Done
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
 linux-image-3.16.0-0.bpo.4-686-pae : Depends: initramfs-tools (>= 0.110~) but it is not going to be installed or
                                               dracut (>= 0.40+1-1~) but it is not going to be installed or
                                               linux-initramfs-tool
 linux-image-3.2.0-4-686-pae : Depends: initramfs-tools (>= 0.99~) but it is not going to be installed or
                                        linux-initramfs-tool
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).
Dám-li apt-get -f install ve snaze vyřešit závislosti, dostanu zpět výše uvedené varování:

You are running a kernel (version 3.16.0-0.bpo.4-686-pae) and attempting to remove the same version.

This can make the system unbootable as it will remove /boot/vmlinuz-3.16.0-0.bpo.4-686-pae and all 
modules under the directory /lib/modules/3.16.0-0.bpo.4-686-pae. This can only be fixed with a copy 
of the kernel image and the corresponding modules.

It is highly recommended to abort the kernel removal unless you are prepared to fix the system
 after removal.

Abort kernel removal? 

YES / NO
kliknu na yes.

apt-get -f install
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Correcting dependencies... Done
The following packages were automatically installed and are no longer required:
  crda dnsmasq-base irqbalance iw libjim0debian2 libnetfilter-conntrack3 libnuma1 modemmanager usb-modeswitch usb-modeswitch-data wireless-regdb
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  initramfs-tools
The following packages will be REMOVED:
  linux-image-3.16.0-0.bpo.4-686-pae
The following NEW packages will be installed:
  initramfs-tools
0 upgraded, 1 newly installed, 1 to remove and 10 not upgraded.
Need to get 0 B/91.3 kB of archives.
After this operation, 120 MB disk space will be freed.
Do you want to continue [Y/n]? 
(Reading database ... 176566 files and directories currently installed.)
Removing linux-image-3.16.0-0.bpo.4-686-pae ...
Aborting removal of running kernel image.
dpkg: error processing linux-image-3.16.0-0.bpo.4-686-pae (--remove):
 subprocess installed pre-removal script returned error exit status 1
Errors were encountered while processing:
 linux-image-3.16.0-0.bpo.4-686-pae
E: Sub-process /usr/bin/dpkg returned an error code (1)
Jak z toho ven ? Potřebuju nějak čistě vrátit to, co jsem spáchal v kroku 5 při pokusu o migraci na 64bit. Předem díky za každkou radu.

Odpovědi

26.6.2015 12:22 R
Rozbalit Rozbalit vše Re: Debian Wheezy - migrace 32bit na 64bit - krok zpět
apt-get remove --purge linux-image-amd64:amd64 debootstrap dpkg --remove-architecture amd64 apt-get update
26.6.2015 12:23 R
Rozbalit Rozbalit vše Re: Debian Wheezy - migrace 32bit na 64bit - krok zpět
Kua, este raz:
apt-get remove --purge linux-image-amd64:amd64 debootstrap
dpkg --remove-architecture amd64
apt-get update
26.6.2015 12:29 Bill Gates
Rozbalit Rozbalit vše Re: Debian Wheezy - migrace 32bit na 64bit - krok zpět
apt-get remove --purge linux-image-amd64:amd64 debootstrap
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package 'linux-image-amd64:amd64' is not installed, so not removed
Package 'debootstrap' is not installed, so not removed
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
 linux-image-3.16.0-0.bpo.4-686-pae : Depends: initramfs-tools (>= 0.110~) but it is not going to be installed or
                                               dracut (>= 0.40+1-1~) but it is not going to be installed or
                                               linux-initramfs-tool
 linux-image-3.2.0-4-686-pae : Depends: initramfs-tools (>= 0.99~) but it is not going to be installed or
                                        linux-initramfs-tool
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).

26.6.2015 12:35 manasekp | skóre: 29 | blog: manasekp | Brno
Rozbalit Rozbalit vše Re: Debian Wheezy - migrace 32bit na 64bit - krok zpět
apt-get -f install to nevyresit?

Balik se take da odstranit pomoci dpkg -r pokud apt-get blbne
manasekp | Recshop | Cas od casu se pokousim nekoho srazit k zemi abych se tam nevalel sam.
26.6.2015 12:59 Bill Gates
Rozbalit Rozbalit vše Re: Debian Wheezy - migrace 32bit na 64bit - krok zpět
apt-get -f install
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Correcting dependencies... Done
The following packages were automatically installed and are no longer required:
  crda dnsmasq-base irqbalance iw libjim0debian2 libnetfilter-conntrack3 libnuma1 modemmanager usb-modeswitch usb-modeswitch-data wireless-regdb
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  initramfs-tools
The following packages will be REMOVED:
  linux-image-3.16.0-0.bpo.4-686-pae
The following NEW packages will be installed:
  initramfs-tools
0 upgraded, 1 newly installed, 1 to remove and 10 not upgraded.
Need to get 0 B/91.3 kB of archives.
After this operation, 120 MB disk space will be freed.
Do you want to continue [Y/n]? y
(Reading database ... 176566 files and directories currently installed.)
Removing linux-image-3.16.0-0.bpo.4-686-pae ...
v upozorneni davam YES jak je doporuceno
Aborting removal of running kernel image.
dpkg: error processing linux-image-3.16.0-0.bpo.4-686-pae (--remove):
 subprocess installed pre-removal script returned error exit status 1
Errors were encountered while processing:
 linux-image-3.16.0-0.bpo.4-686-pae
E: Sub-process /usr/bin/dpkg returned an error code (1)

ono ho to chce pri reseni zavislosti proste vypakovat a to muze zpusobit pry ze nenabootuju.. a toho se bojim, takze jsem vlastne v rekurzi jakoby :(
26.6.2015 13:30 Bill Gates
Rozbalit Rozbalit vše Re: Debian Wheezy - migrace 32bit na 64bit - krok zpět
jeste dodam .. ja ho nechci odstranit, protoze to zpusobi nenabootovani ..

Napada me ho nechat odstranit, pak apt-get -f install, a pak ho znovu doinstalovat ale kua bojim bojim... Az budu mit na vedlejsim partition jessieho tak budu mit klid ale ted na to neni cas .. a potreboval bych dokopat instalaci balicku se soucasnym 32bitem opet k cinnosti a nejlepe znovu korektne nabootovat. Nenabootovat do 32bitu by bylo ted momentalne peklo, zasek, nebo nutnost hned instalovat jessieho, coz znamena kupu veci po instalaci donastavovat... Proto se tomu chci ted vyhnout a jedine co vidim jako schudne je dokopat instalace balicku na 32bitu zpet do cinnosti ..
26.6.2015 15:15 2X4B-523P | skóre: 39 | blog: Zelezo_vs_Debian
Rozbalit Rozbalit vše Re: Debian Wheezy - migrace 32bit na 64bit - krok zpět
to jsem delal jeste pred multiarchem a bylo to hodne narocne...je to delsi doba, co jsi se mne na to ptal po telefonu, jestli se to da provest? lze to udelat, ale musi se vedet jak resit alespon zakladni problemy se zavislostmi a nedelat to kdyz ten system potrebuji pouzivat... ono na cely den je to pro zkuseneho spravce... je treba vedet zakladni veci, treba co dela toto:

echo nazevbaliku install | dpkg --set-selections

nekdy staci vratit zmenu zpet pomoci opetovne instalace baliku, i kdyz jeste nebyl odinstalovan, ale je oznacen k odstraneni... take spravce baliku nekdy dokaze podobne excesy vyresit nebo napovedet, treba aptitude...

ale netreba se rmoutit, staci pouzit zalohu vytvorenou v bode 4, cimz se opravi zmena v bodu 5...
26.6.2015 15:20 2X4B-523P | skóre: 39 | blog: Zelezo_vs_Debian
Rozbalit Rozbalit vše Re: Debian Wheezy - migrace 32bit na 64bit - krok zpět
totiz jestli se dobre pamatuji, tak nebylo kam zalohovat, takze zkusit:

apt-get install nazev_baliku_s_jadrem

kdyz to nepomuze vratit zmenu zpet, tak to zkustit v aptitude a kdyz ani to ne, tak:

echo nazev_baliku_s_jadrem install | dpkg --set-selections

mimochodem, co vsechno se odinstalovalo pri pokusu nainstalovat 64bit jadro?
26.6.2015 16:00 Bill Gates
Rozbalit Rozbalit vše Re: Debian Wheezy - migrace 32bit na 64bit - krok zpět
Vypis me konzole saha tesne az za vypis po provedeni
dpkg --add-architecture amd64 
apt-get update 
apt-get install linux-image-amd64:amd64 debootstrap
Takze uz to nevidim :(

netusil jsem ze apt-get install linux-image-amd64:amd64 debootstrap zpusobi tohle.

No a co vy rikate na to, kdzy to jadro proste necham odstranit, tedy nechat dokoncit
apt-get -f install
at se vyresi co se vyresit ma, pak
dpkg --remove-architecture amd64 
apt-get update 
apt-get upgrade
nebudu bootovat protoze bych nenabootoval a pak
apt-get install linux-image-3.16.0-0.bpo.4-686-pae
Je to uplna blbost? Nebo me napada .. ja nemam jen linux-image-3.16.0-0.bpo.4-686-pae ale i 3.2.0-4-686-pae. Tak kdyz selze boot po odstraneni 3.16.0-0.bpo.4-686-pae tak vlastne muzu bootnout pomoci 3.2.0-4-686-pae a pripadne 3.16.0-0.bpo.4-686-pae doinstalit pak .. je to tak? Nebo mi nic jineho nezbyde nez se pustit pres vikend stejne do instalace jessieho protoze 64bit proste potrebuju. Potrebuju virtualizovat Centos7 a ten uz v 32bitech je potiz, uz na to chlapi kaslou, i kdyz cetl jsem ze i 7micka je nekde zbastlena jako 32bit. A na 32bitovem hostu 64bitoveho guesta spustit bude asi problem (je - uz jsem to zkousel) ... nebo by to chtelo nejake 64bit knihovny ale ted s rozjebkanyma zavislostma .. to je uz fakt tak na jessieho.
30.6.2015 08:12 Bill Gates
Rozbalit Rozbalit vše Re: Debian Wheezy - migrace 32bit na 64bit - krok zpět
Tak jsem teda odinstaloval jadro ktere to odinstalovat chtelo a nabootoval do druheho, ktere jsem mel nainstalovano.
apt-get -f install
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Correcting dependencies... Done
The following packages were automatically installed and are no longer required:
  crda dnsmasq-base irqbalance iw libjim0debian2 libnetfilter-conntrack3 libnuma1 modemmanager usb-modeswitch usb-modeswitch-data wireless-regdb
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  initramfs-tools
The following packages will be REMOVED:
  linux-image-3.16.0-0.bpo.4-686-pae
The following NEW packages will be installed:
  initramfs-tools
0 upgraded, 1 newly installed, 1 to remove and 10 not upgraded.
Need to get 0 B/91.3 kB of archives.
After this operation, 120 MB disk space will be freed.
Do you want to continue [Y/n]? 
(Reading database ... 176566 files and directories currently installed.)
Removing linux-image-3.16.0-0.bpo.4-686-pae ...
/etc/kernel/prerm.d/dkms:
dkms: removing: fglrx 14.501.1003 (3.16.0-0.bpo.4-686-pae) (i686)
dkms: removing: virtualbox 4.3.18 (3.16.0-0.bpo.4-686-pae) (i686)
/etc/kernel/postrm.d/zz-update-grub:
Generating grub.cfg ...
Found background image: /usr/share/images/desktop-base/desktop-grub.png
Found linux image: /boot/vmlinuz-3.2.0-4-686-pae
Found initrd image: /boot/initrd.img-3.2.0-4-686-pae
done
The link /vmlinuz is a damaged link
Removing symbolic link vmlinuz 
You may need to re-run your boot loader
The link /initrd.img is a damaged link
Removing symbolic link initrd.img 
You may need to re-run your boot loader
Selecting previously unselected package initramfs-tools.
(Reading database ... 172599 files and directories currently installed.)
Unpacking initramfs-tools (from .../initramfs-tools_0.109.1_all.deb) ...
Processing triggers for man-db ...
Setting up initramfs-tools (0.109.1) ...
update-initramfs: deferring update (trigger activated)
Processing triggers for initramfs-tools ...
update-initramfs: /boot/initrd.img-3.2.0-4-686-pae has been altered.
update-initramfs: Cannot update. Override with -t option.

Zpet uz ho nedostanu. Takze mi nejede wifi a par dalsich veci.

apt-get install linux-image-3.16.0-0.bpo.4-686-pae
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 linux-image-3.16.0-0.bpo.4-686-pae : Depends: initramfs-tools (>= 0.110~) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
To je humus tohle :(

Ma nekdo nejakou radu?
linux-image-3.16.0-0.bpo.4-686-pae : Depends: initramfs-tools (>= 0.110~) but it is not going to be installed
linux-image-3.16.0-0.bpo.4-686-pae zavisi na initramfs-tools (>= 0.110~) ale nebude nainstalovan.

A proc jako?
30.6.2015 09:07 Bill Gates
Rozbalit Rozbalit vše Re: Debian Wheezy - migrace 32bit na 64bit - krok zpět
apt-get install linux-image-3.16.0-0.bpo.4-686-pae -t wheezy-backports
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following extra packages will be installed:
  initramfs-tools
Suggested packages:
  linux-doc-3.16 debian-kernel-handbook
The following NEW packages will be installed:
  linux-image-3.16.0-0.bpo.4-686-pae
The following packages will be upgraded:
  initramfs-tools
1 upgraded, 1 newly installed, 0 to remove and 166 not upgraded.
Need to get 33.5 MB of archives.
After this operation, 121 MB of additional disk space will be used.
Do you want to continue [Y/n]? 
Get:1 http://http.debian.net/debian/ wheezy-backports/main initramfs-tools all 0.115~bpo70+1 [92.6 kB]
Get:2 http://http.debian.net/debian/ wheezy-backports/main linux-image-3.16.0-0.bpo.4-686-pae i386 3.16.7-ckt11-1~bpo70+1 [33.4 MB]
Fetched 33.5 MB in 5s (5,613 kB/s)                             
Reading changelogs... Done
Preconfiguring packages ...
(Reading database ... 172652 files and directories currently installed.)
Preparing to replace initramfs-tools 0.109.1 (using .../initramfs-tools_0.115~bpo70+1_all.deb) ...
Unpacking replacement initramfs-tools ...
Selecting previously unselected package linux-image-3.16.0-0.bpo.4-686-pae.
Unpacking linux-image-3.16.0-0.bpo.4-686-pae (from .../linux-image-3.16.0-0.bpo.4-686-pae_3.16.7-ckt11-1~bpo70+1_i386.deb) ...
Processing triggers for man-db ...
Setting up initramfs-tools (0.115~bpo70+1) ...
update-initramfs: deferring update (trigger activated)
Setting up linux-image-3.16.0-0.bpo.4-686-pae (3.16.7-ckt11-1~bpo70+1) ...
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-3.16.0-0.bpo.4-686-pae
/etc/kernel/postinst.d/zz-update-grub:
Generating grub.cfg ...
Found background image: /usr/share/images/desktop-base/desktop-grub.png
Found linux image: /boot/vmlinuz-3.16.0-0.bpo.4-686-pae
Found initrd image: /boot/initrd.img-3.16.0-0.bpo.4-686-pae
Found linux image: /boot/vmlinuz-3.2.0-4-686-pae
Found initrd image: /boot/initrd.img-3.2.0-4-686-pae
grub-probe: error: cannot find a GRUB drive for /dev/sdc1.  Check your device.map.
ls: reading directory /var/lib/os-prober/mount: Input/output error
ls: reading directory /var/lib/os-prober/mount: Input/output error
ls: reading directory /var/lib/os-prober/mount: Input/output error
ls: reading directory /var/lib/os-prober/mount: Input/output error
done
Processing triggers for initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-3.16.0-0.bpo.4-686-pae

Založit nové vláknoNahoru

Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

ISSN 1214-1267   www.czech-server.cz
© 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.